# Class OctetStreamData

java.lang.Object
javax.xml.crypto.OctetStreamData

All Implemented Interfaces:
  `Data`

public class OctetStreamData extends Object implements Data
A representation of a `Data` type containing an octet stream.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OctetStreamData(InputStream octetStream)`
  Creates a new `OctetStreamData`.
  `OctetStreamData(InputStream octetStream, String uri, String mimeType)`
  Creates a new `OctetStreamData`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMimeType()`
  Returns the MIME type associated with the data object represented by this `OctetStreamData`.
  `InputStream`
  `getOctetStream()`
  Returns the input stream of this `OctetStreamData`.
  `String`
  `getURI()`
  Returns the URI String identifying the data object represented by this `OctetStreamData`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### OctetStreamData

    public OctetStreamData(InputStream octetStream)
    Creates a new `OctetStreamData`.
    Parameters:
      `octetStream` - the input stream containing the octets
    Throws:
      `NullPointerException` - if `octetStream` is `null`

  - ### OctetStreamData

    public OctetStreamData(InputStream octetStream, String uri, String mimeType)
    Creates a new `OctetStreamData`.
    Parameters:
      `octetStream` - the input stream containing the octets
      `uri` - the URI String identifying the data object (may be `null`)
      `mimeType` - the MIME type associated with the data object (may be `null`)
    Throws:
      `NullPointerException` - if `octetStream` is `null`

- ## Method Details

  - ### getOctetStream

    public InputStream getOctetStream()
    Returns the input stream of this `OctetStreamData`.
    Returns:
      the input stream of this `OctetStreamData`.

  - ### getURI

    public String getURI()
    Returns the URI String identifying the data object represented by this `OctetStreamData`.
    Returns:
      the URI String or `null` if not applicable

  - ### getMimeType

    public String getMimeType()
    Returns the MIME type associated with the data object represented by this `OctetStreamData`.
    Returns:
      the MIME type or `null` if not applicable